Examples

GET /katello/api/environments/292811013/activation_keys
200
{
  "total": 1,
  "subtotal": 1,
  "selectable": 1,
  "page": 1,
  "per_page": 20,
  "error": null,
  "search": null,
  "sort": {
    "by": "name",
    "order": "asc"
  },
  "results": [
    {
      "id": 878475814,
      "name": "Lib Dev Staging Activation Key",
      "description": "Here we go again!",
      "unlimited_hosts": true,
      "content_view_environment_labels": "library_dev_staging_view_dev",
      "usage_count": 0,
      "user_id": null,
      "max_hosts": null,
      "release_version": null,
      "purpose_usage": null,
      "purpose_role": null,
      "organization_id": 114267492,
      "organization": {
        "name": "Empty Organization",
        "label": "Empty_Organization",
        "id": 114267492
      },
      "created_at": "2026-11-03 08:05:52 UTC",
      "updated_at": "2026-11-03 08:05:52 UTC",
      "content_view_environments": [
        {
          "content_view": {
            "id": 419082953,
            "name": "Published Library - dev - staging view",
            "label": "published_dev_staging_view",
            "composite": false,
            "rolling": false,
            "content_view_version": "3.0",
            "content_view_version_id": 234564707,
            "content_view_version_latest": true,
            "content_view_default": false,
            "content_view_environment_id": 801054860
          },
          "lifecycle_environment": {
            "id": 292811013,
            "name": "Dev",
            "label": "dev_label",
            "lifecycle_environment_library": false
          },
          "label": "library_dev_staging_view_dev"
        }
      ],
      "host_collections": [],
      "multi_content_view_environment": false,
      "permissions": {
        "view_activation_keys": true,
        "edit_activation_keys": true,
        "destroy_activation_keys": true
      }
    }
  ]
}

Params

Param name Description
organization_id
required

organization identifier

Validations:

  • Must be a number.

environment_id
optional

environment identifier

Validations:

  • Must be a number.

content_view_id
optional

content view identifier

Validations:

  • Must be a number.

name
optional

activation key name to filter by

Validations:

  • String

content_view_environments
optional

Comma-separated list of content view environment labels associated with the activation key, in the format of ‘lifecycle_environment_label/content_view_label’. Ignored if content_view_environment_ids is specified. Requires allow_multiple_content_views setting to be on.

Validations:

  • Must be an array of any type

content_view_environment_ids
optional

Array of content view environment ids associated with the activation key. Requires allow_multiple_content_views setting to be on.

Validations:

  • Must be an array of any type

search
optional

Search string

Validations:

  • String

page
optional

Page number, starting at 1

Validations:

  • Must be a number.

per_page
optional

Number of results per page to return

Validations:

  • Must be a number.

order
optional

Sort field and order, eg. ‘id DESC’

Validations:

  • String

full_result
optional

Whether or not to show all results

Validations:

  • Must be one of: true, false, 1, 0.

sort_by
optional

Field to sort the results on

Validations:

  • String

sort_order
optional

How to order the sorted results (e.g. ASC for ascending)

Validations:

  • String

Search fields

Field name Type Possible values
content_view string
content_view_id integer
description text
environment string
lifecycle_environment_id integer
name string
organization_id integer
role string
usage string